Bug 154008 - kernel freezes if ohci-hcd is loaded before ehci-hcd
kernel freezes if ohci-hcd is loaded before ehci-hcd
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-04-06 11:24 EDT by Alexandre Oliva
Modified: 2015-01-04 17:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:40:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2005-04-06 11:24:32 EDT
My HPaq Presario r3004 freezes when the installer loads ohci-hcd and then
ehci-hcd, if I have an external A4Tech USB mouse plugged in.  I can't tell how
far back this problem goes, since I purchased the mouse recently, but the
problem does happen with e.g. the FC4test1 installer as well as rawhide.

This box has had a long history of problems with USB because the original BIOS
missed 64-bit support, but these problems are supposed to be fixed with the
latest BIOS version, that I installed myself.

Since anaconda sets modprobe.conf such that ohci-hcd is loaded before ehci-hcd,
the box won't boot with the mouse plugged in.  If I plug the mouse in after both
modules are loaded, everything works fine.  

I'm actually not so sure whether the original modprobe.conf settings play a role
here; I have my root device on a logical volume whose volume group uses an
external USB disk, so I have USB drivers listed as scsi_hostadapters such that
they're loaded by initrd.  If I get the same order as the usb_controllers
entries, then it fails.  If I force ehci-hcd to be loaded before ohci-hcd, then
it works fine.

I realize this is probably going to be hard for you to debug, since it probably
requires specific pieces of hardware, so feel free to mostly ignore this.  I'm
posting it here mostly such that you can dupe other similar reports against
this, and I'll try to investigate the freeze if I figure out how to do it.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1226_FC4.x86_64 has the problem
Comment 1 Dave Jones 2005-10-06 01:27:23 EDT
still a problem with the errata kernel ?
Comment 2 Alexandre Oliva 2005-10-24 22:56:35 EDT
'fraid the problem is still there, also with kernel-2.6.13-1.1624_FC5, but
either I described the problem backwards or it changed, because I get the
problem by loading ohci-hcd *after* ehci-hcd, not before.  E.g., if I have
ehci-hcd loaded by initrd, and leave ohci-hcd to be loaded in the `Initializing
hardware', the system freezes just as the mouse's red led is turned on, when
ohci-hcd is loaded.  If I load ohci-hcd before ehci-hcd, in initrd, then
everything works just fine.
Comment 3 Alexandre Oliva 2006-01-13 11:36:28 EST
With FC5T2 candidate tree, it's even worse: it freezes if I have *anything*
whatsoever connected to the USB ports when ehci-hcd is loaded after ohci-hcd. 
In particular, the HDs onto which I'd like to install are external USB/Firewire
drives, so I had to connect them in the Firewire port and hope I wouldn't
experience one of the random freezes that I've been getting lately when I use
Firewire :-(

Since there are a lot of people out there with this kind of hardware, it would
be nice to get this somehow fixed or at least have its impact reduced.
Comment 4 Dave Jones 2006-10-16 14:41:10 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Jon Stanley 2008-01-19 23:40:16 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.